<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ContactInfo StructType
 * @subpackage Structs
 */
class JP_ContactInfo extends AbstractStructBase
{
    /**
     * The PhoneNumbers
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_PhoneNumber
     */
    public $PhoneNumbers;
    /**
     * The Faxes
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Fax
     */
    public $Faxes;
    /**
     * The Emails
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Email
     */
    public $Emails;
    /**
     * Constructor method for JP_ContactInfo
     * @uses JP_ContactInfo::setPhoneNumbers()
     * @uses JP_ContactInfo::setFaxes()
     * @uses JP_ContactInfo::setEmails()
     * @param \ArrayType\ArrayOfJP_PhoneNumber $phoneNumbers
     * @param \ArrayType\ArrayOfJP_Fax $faxes
     * @param \ArrayType\ArrayOfJP_Email $emails
     */
    public function __construct(\ArrayType\ArrayOfJP_PhoneNumber $phoneNumbers = null, \ArrayType\ArrayOfJP_Fax $faxes = null, \ArrayType\ArrayOfJP_Email $emails = null)
    {
        $this
            ->setPhoneNumbers($phoneNumbers)
            ->setFaxes($faxes)
            ->setEmails($emails);
    }
    /**
     * Get PhoneNumbers value
     * @return \ArrayType\ArrayOfJP_PhoneNumber|null
     */
    public function getPhoneNumbers()
    {
        return $this->PhoneNumbers;
    }
    /**
     * Set PhoneNumbers value
     * @param \ArrayType\ArrayOfJP_PhoneNumber $phoneNumbers
     * @return \StructType\JP_ContactInfo
     */
    public function setPhoneNumbers(\ArrayType\ArrayOfJP_PhoneNumber $phoneNumbers = null)
    {
        $this->PhoneNumbers = $phoneNumbers;
        return $this;
    }
    /**
     * Get Faxes value
     * @return \ArrayType\ArrayOfJP_Fax|null
     */
    public function getFaxes()
    {
        return $this->Faxes;
    }
    /**
     * Set Faxes value
     * @param \ArrayType\ArrayOfJP_Fax $faxes
     * @return \StructType\JP_ContactInfo
     */
    public function setFaxes(\ArrayType\ArrayOfJP_Fax $faxes = null)
    {
        $this->Faxes = $faxes;
        return $this;
    }
    /**
     * Get Emails value
     * @return \ArrayType\ArrayOfJP_Email|null
     */
    public function getEmails()
    {
        return $this->Emails;
    }
    /**
     * Set Emails value
     * @param \ArrayType\ArrayOfJP_Email $emails
     * @return \StructType\JP_ContactInfo
     */
    public function setEmails(\ArrayType\ArrayOfJP_Email $emails = null)
    {
        $this->Emails = $emails;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ContactInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
